<script type="text/javascript">
function imprSelecn(Imprimeme){
    var ficha=document.getElementById(Imprimeme).innerHTML;
    var winprint= window.open('','Impresion');
    winprint.document.open();
    winprint.document.write('<html><head><style type="text/css">');
    winprint.document.write('@page{margin: 1;}*{box-sizing: border-box;}.row::after {content: ""; clear: both; display: table;}[class*="col-"] {float: left; padding: 13px;}.col-1 {width: 8.33%;}.col-2 {width: 16.66%;}.col-3 {width: 25%;}.col-4 {width: 33.33%;}.col-5 {width: 41.66%;}.col-6 {width: 50%;}.col-7 {width: 58.33%;}.col-8 {width: 66.66%;}.col-9 {width: 75%;}.col-10 {width: 83.33%;}.col-11 {width: 91.66%;}.col-12 {width: 100%;}html {font-family: "Lucida Sans", sans-serif;}.header {background-color: #9933cc; color: #ffffff; padding: 15px;}.menu ul {list-style-type: none;margin: 0;padding: 0;}.menu li { padding: 8px; margin-bottom: 7px; background-color: #33b5e5; color: #ffffff; box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);}.menu li:hover {background-color: #0099cc;}p.saltodepagina{page-break-after: always;}');
    winprint.document.write('</style></head><body onload="window.print();">');
    winprint.document.write(ficha);
    winprint.document.write('</body></html>');
    winprint.document.close();
    winprint.focus();
    winprint.print();
    winprint.close();
   }
</script>
<style type="text/css">
<!--
.table {
    font-weight: bold;
    background-color: #E1E1E1;
    padding:0px 0px 0px 0px; 
    border-radius: 0px;}
tr    {
     background-color: #fff; 
      border-radius:0px}
td    {  
      padding: 1px 1px;
      position:
    }
}
</style>

<div id="muestra_n" style="display:none;">
    <div class="row" >
<?php

    $sqlv=mysqli_query($con, "SELECT * from ventas where ven_fecha BETWEEN '$fecha_desde' AND '$fecha_hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and vendedor IN('".$vendedores."') order by ven_id asc");
    while ($ven=mysqli_fetch_array($sqlv))
{
    $ven_id=$ven['ven_id'];
    $ven_n_venta=$ven['ven_n_venta'];
    
    $Cliente_clie_id=$ven['Cliente_clie_id'];
    $vendedor=$ven['vendedor'];
    $observaciones=$ven['observaciones'];

    $sql1=mysqli_query($con, "SELECT * from cliente where clie_id='$Cliente_clie_id'");
    $cli=mysqli_fetch_array($sql1);
    $clie_empresa=$cli['clie_empresa'];
    $clie_direccion=$cli['clie_direccion'];
    $clie_barrio=$cli['clie_barrio'];
    $clie_telefono=$cli['clie_telefono'];

    $sql3=mysqli_query($con, "SELECT * from usuario where usu_id='$vendedor'");
    $usu=mysqli_fetch_array($sql3);
    $usu_nombre=$usu['usu_nombre'];
    $usu_telefono=$usu['usu_tel'];
    $sumador_total=0;

   // $res_vend=mysqli_query($con,"SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
   // $resultados_total=mysqli_num_rows($res_vend);
    $vend=mysqli_query($con,"SELECT * from venta_detalle where ventas_ven_id='$ven_id' and cambio='ven'");
    $resul_ven=mysqli_num_rows($vend);
    $cam=mysqli_query($con,"SELECT * from venta_detalle where ventas_ven_id='$ven_id' and cambio='cam'");
    $resul_cam=mysqli_num_rows($cam);
    if($resul_cam<>null){ $cambio=$resul_cam+1;} else { $cambio=0;}
    $bon=mysqli_query($con,"SELECT * from venta_detalle where ventas_ven_id='$ven_id' and cambio='com'");
    $resu_bon=mysqli_num_rows($bon);
    if($resu_bon<>null){ $bonificacion=$resu_bon+1;} else { $bonificacion=0; }

    $resultados_total=$resul_ven+$bonificacion+$cambio;

    $resta=$resultados_total-($bonificacion+$cambio);
    $resul_linea_cambios=$bonificacion+$cambio;

    if($observaciones==null)
    {
        $linea1hasta=18;
        $linea2desde=19;
        $linea2hasta=36;
        $linea3desde=37;
        $linea3hasta=54;
        $linea4desde=55;
      
    }
    else
    {
        $linea1hasta=16;
        $linea2desde=17;
        $linea2hasta=34;
        $linea3desde=35;
        $linea3hasta=52;
        $linea4desde=53;
    }

    if($ven_n_venta<1000)
    {
        $ceros='000';
    }
    else
    {
        $ceros='';
    }

    if ($resultados_total<=$linea1hasta)
    {  
        include('tienda_a_tienda/imprimir1.php');
    } 
    if ($resultados_total>=$linea2desde && $resultados_total<=$linea2hasta )
    {  
        include('tienda_a_tienda/imprimir2.php');
    }
     if ($resultados_total>=$linea3desde && $resultados_total<=$linea3hasta )
    {  
        include('tienda_a_tienda/imprimir3.php');
    }  
    if ($resultados_total>=$linea4desde )
    {  
        include('tienda_a_tienda/imprimir4.php');
    } 
} 
?> 
</div>
</div>
<a href="javascript:imprSelecn('muestra_n')" class="btn btn-warning">IMPRIMIR LOTE</a>